//
//  ViewController.swift
//  PhoenixDemo
//
//  Created by zhangpeng26 on 2021/3/17.
//

import Phoenix
import UIKit

class ViewController: UIViewController {
    @IBOutlet var tileUpdateDurationLabel: UILabel!
    @IBOutlet var debugSwitch: UISwitch!
    @IBOutlet var cacheSwitch: UISwitch!
    var timer: Timer?

    override func viewDidLoad() {
        super.viewDidLoad()

        PhoenixSDK.shared.authorize(ak: "cbb15350ca174beaa7aa96b663ea307d",
                                    sk: "86d0417bb63f4fd9bc5e34ffab7e47c6",
                                    complete: { error in
                                        if error == nil {
                                            print("授权成功")
                                        } else {
                                            print("授权失败")
                                        }
                                    })
    }

    @IBAction func panoImageMultiTileTapped(_ sender: Any) {
        let vc = PanoImageMultiTileViewController()
        vc.isDebug = debugSwitch.isOn
        vc.enableCache = cacheSwitch.isOn
        vc.tileUpdateDuration = Double(tileUpdateDurationLabel.text!)! / 1000
        navigationController?.pushViewController(vc, animated: true)
    }

    @IBAction func panoImageCubeListTapped(_ sender: Any) {
        let vc = PanoImageCubeListViewController()
        vc.isDebug = debugSwitch.isOn
        vc.enableCache = cacheSwitch.isOn
        navigationController?.pushViewController(vc, animated: true)
    }

    @IBAction func panoImageCubeTapped(_ sender: Any) {
        let vc = PanoImageCubeViewController()
        vc.isDebug = debugSwitch.isOn
        vc.enableCache = cacheSwitch.isOn
        navigationController?.pushViewController(vc, animated: true)
    }

    @IBAction func panoImageSphereTapped(_ sender: Any) {
        let vc = PanoImageSphereViewController()
        vc.isDebug = debugSwitch.isOn
        vc.enableCache = cacheSwitch.isOn
        navigationController?.pushViewController(vc, animated: true)
    }

    @IBAction func panoVideoSphereTapped(_ sender: Any) {
        let vc = PanoVideoSphereViewController()
        vc.isDebug = debugSwitch.isOn
        navigationController?.pushViewController(vc, animated: true)
    }

    @IBAction func spinTapped(_ sender: Any) {
        let vc = SpinViewController()
        vc.isDebug = debugSwitch.isOn
        vc.enableCache = cacheSwitch.isOn
        vc.tileUpdateDuration = Double(tileUpdateDurationLabel.text!)! / 1000
        navigationController?.pushViewController(vc, animated: true)
    }

    @IBAction func panoTestTapped(_ sender: Any) {
        let vc = PanoTestViewController()
        navigationController?.pushViewController(vc, animated: true)
    }

    @IBAction func spinTestTapped(_ sender: Any) {
        let vc = SpinTestViewController()
        navigationController?.pushViewController(vc, animated: true)
    }

    @IBAction func tileUpdateDurationValueChanged(_ sender: Any) {
        if let slider = sender as? UISlider {
            tileUpdateDurationLabel.text = String(Int(slider.value))
        }
    }
}
